PDA

Visualizza la versione completa : apt-get come funziona?


nomida
10-07-2005, 11:18
Ciao a tutti!
Devo installare il modem usb fastarate ho trovato sul forum come fare il tutto perņ ho un problema nell'installazione dei pacchetti!!


per installare i pacchetti ppp, libgtk1.2-dev, libatm-dev, libatm1

utilizzo il apt-get install nome pacchetto

ma mi da come errore che in E: il pacchetto non c'č!!
Che vuol dire?nel cd di ubuntu 5.04 non c'č tutto?

O forse sbaglio ad utilizzare apt-get?

grazie ciao

andy caps
10-07-2005, 11:34
sul cd di ubuntu non ci sara' tutto probabilmente

avvia synaptic da terminale
con quello puoi cercare utti i pacchetti che probabilmente si chiamano differentemente

con apt cerca es

apt-cache search ppp
apt-cache search libgtk
apt-cache search atm

poi vedi cosa hai di installabile

altrimenti sui server di ubuntu trovi tutto http://archive.ubuntu.com/ubuntu/pool/
quando te li sei portati in ubuntu poi li puoi installare con
dpkg -i nome-pacchetto

se hai ubuntu hoary probabilmente trovi meglio da qui

http://packages.ubuntu.com/hoary/libs/

libatm ad esmpio ho visto che si chiama libatm1

nomida
10-07-2005, 11:50
Grazie perņ ho altri due problemi

1)non trovo libatm-dev ma solo quello libatm1-dev

2)devo trovare kernel-headers e -source che devono essere uguali a quelli che ho installato 2.6.10-5-386

appio79
10-07-2005, 12:26
come ti ha prima detto andy:

libatm ad esmpio ho visto che si chiama libatm1 di conseguenza anche il relativo pacchetto dev si chiama libatm1-dev, niente di strano... :)

per il secondo punto cerca con
apt-cache search
se ci sono quelli coincidenti con la tua versione di kernel ed installali

andy caps
10-07-2005, 12:27
gli headers almeno dovrebbero essere sui cd

apt-cache search headers

apt-cache search kernel ti dovrebbe dire se c'č il kernel-sources

andy caps
10-07-2005, 12:34
i kernel-headers probabilmente sono gia installati comunque
e dovrebbe utilizzare la dir /lib/modules/2.6.10-5-386/build

Loading